
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP将XML转成数组的函数实例 / iVAN</title>

    <meta name="description" content="PHP将XML转成数组的函数实例 例子 现在有一个uncletoo.xml的配置文件,格式如下: &lt;h6&gt;Step 1: XML File&lt;/h6&gt; &lt;?xml version='1.0'?&gt; &lt;moleculedb&gt;     &lt;molecule name='Benzine'&gt;         &lt;symbol&gt;ben&lt;/symbol&gt;         &lt;code&gt;A&lt;/code&gt;     &lt;/molecule&gt; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP将XML转成数组的函数实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>例子</strong></p>
<p>现在有一个uncletoo.xml的配置文件，格式如下：</p>
<p>&lt;h6&gt;Step 1: XML File&lt;/h6&gt;<br />
&lt;?xml version='1.0'?&gt;<br />
&lt;moleculedb&gt;<br />
    &lt;molecule name='Benzine'&gt;<br />
        &lt;symbol&gt;ben&lt;/symbol&gt;<br />
        &lt;code&gt;A&lt;/code&gt;<br />
    &lt;/molecule&gt;<br />
    &lt;molecule name='Water'&gt;<br />
        &lt;symbol&gt;h2o&lt;/symbol&gt;<br />
        &lt;code&gt;K&lt;/code&gt;<br />
    &lt;/molecule&gt;<br />
&lt;molecule name='Parvez'&gt;<br />
        &lt;symbol&gt;h2o&lt;/symbol&gt;<br />
        &lt;code&gt;K&lt;/code&gt;<br />
    &lt;/molecule&gt;<br />
&lt;/moleculedb&gt;</p>
<p>1、读XML文件内容，并保存到字符串变量中</p>
<p>下面我们使用PHP自带的file_get_contents()函数将文件内容读取到一个字符串变量中：</p>
<p>$xmlfile = file_get_contents($path);</p>
<p>此时$xmlfile变量的值如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDYwMjEwNDkyODExNC5naWY=.jpg"></p>
<p>2、将字符串转换为对象</p>
<p>这一步我们将使用simplexml_load_string()函数，将上一步得到的字符串转换为对象（Object）：</p>
<p>$ob= simplexml_load_string($xmlfile);</p>
<p>此时$ob的值如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDYwMjEwNDkzMTg1MS5naWY=.jpg"><br />
3、将对象转换为JSON</p>
<p>上一步转换成对象后，现在，我们要将对象转换成JSON格式字符串：</p>
<p>$json  = json_encode($ob);</p>
<p>此时$json变量的值如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDYwMjEwNDkzMzEzNC5naWY=.jpg"><br />
4、解析JSON字符串</p>
<p>这也是最后一步了，我们需要将JSON格式的字符串转换为我们需要的数组：</p>
<p>$configData = json_decode($json, true);</p>
<p>现在$configData里存储的数据就是我么最后要得到的数组，如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDYwMjEwNDkzNTU1OC5naWY=.jpg"><br />
完整转换代码：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php<br />
$xmlfile = file_get_contents($path);<br />
$ob= simplexml_load_string($xmlfile);<br />
$json  = json_encode($ob);<br />
$configData = json_decode($json, true);<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>下面为网上整理的xml转换数组函数</strong></p>
<p>例子一，将XML转成数组</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />如果你使用 curl 获取的 xml data<br />
$xml = simplexml_load_string($data);<br />
$data['tk'] = json_decode(json_encode($xml),TRUE);<br />
如果是直接获取 URL 数据的话<br />
$xml = simplexml_load_file($data);<br />
$data['tk'] = json_decode(json_encode($xml),TRUE);<br />
先把 simplexml 对象转换成 json，再将 json 转换成数组。</p>
</td>
</tr>
</table>
<p>例子二，通过遍历</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />// Xml 转 数组, 包括根键 <br />
function xml_to_array( $xml ) <br />
{ <br />
$reg = "/&lt;(\w+)[^&gt;]*&gt;([\\x00-\\xFF]*)&lt;\\/\\1&gt;/"; <br />
if(preg_match_all($reg, $xml, $matches)) <br />
{ <br />
$count = count($matches[0]); <br />
for($i = 0; $i &lt; $count; $i++) <br />
{ <br />
$subxml= $matches[2][$i]; <br />
$key = $matches[1][$i]; <br />
if(preg_match( $reg, $subxml )) <br />
{ <br />
$arr[$key] = xml_to_array( $subxml ); <br />
}else{ <br />
$arr[$key] = $subxml; <br />
} <br />
} <br />
} <br />
return $arr; <br />
} <br />
// Xml 转 数组, 不包括根键 <br />
function xmltoarray( $xml ) <br />
{ <br />
$arr = xml_to_array($xml); <br />
$key = array_keys($arr); <br />
return $arr[$key[0]]; <br />
}</p>
</td>
</tr>
</table>
<p>例子三</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />function simplexml_obj2array($obj){<br />
      if ($obj instanceof SimpleXMLElement) {<br />
       $obj = (array)$obj;<br />
      }<br />
     <br />
      if (is_array($obj)) {<br />
       $result = $keys = array();<br />
       foreach( $obj as $key=&gt;$value)<br />
       {<br />
        isset($keys[$key]) ? ($keys[$key] += 1) : ($keys[$key] = 1);<br />
     <br />
        if( $keys[$key] == 1 )<br />
        {<br />
         $result[$key] = simplexml_obj2array($value);<br />
        }<br />
        elseif( $keys[$key] == 2 )<br />
        {<br />
         $result[$key] = array($result[$key], simplexml_obj2array($value));<br />
        }<br />
        else if( $keys[$key] &gt; 2 )<br />
        {<br />
         $result[$key][] = simplexml_obj2array($value);<br />
        }<br />
       }<br />
       return $result;<br />
      } else {<br />
       return $obj;<br />
      } <br />
 }<br />
$xml=simplexml_load_file("D:/ www.111cn.net /lib/books.xml");<br />
 <br />
$rss = simplexml_obj2array($xml);</p>
</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 22:41:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/array/" title="array">array</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP将XML转成数组的函数实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK1Ldb.html" rel="bookmark">xml-java 解析XML串成数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java 解析XML串成数组 上面是一个XML格式字符串,怎么用java解析成为一个数组 {5,test2, test2, jn@163.com, 0} public static LinkedList uc_unserialize(String input){ LinkedList&lt;String&gt; result = new LinkedList&lt;String&gt;(); DOMParser parser = new DOMParser(); try { StringRead			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEr92M.html" rel="bookmark">php 将table转换成数组的函数，单词之间的空格也被删掉了！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 php 将table转换成数组的函数,单词之间的空格也被删掉了! 下面是我用的函数,可以正常转换,就是转换之后 英语句子里面单词之间没有空格了,谁帮我看下. function get_td_array($table) { $td_array = &quot;&quot;; $table = preg_replace(&quot;'&lt;table[^&gt;]*?&gt;'si&quot;, &quot;&quot;, $table); $table = preg_replace(&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46QL8M.html" rel="bookmark">Android获取arrays&period;xml里的数组字段值实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android获取arrays.xml里的数组字段值实例详解 比如在arrays.xml里: &lt;!--leo added for KYLIN-496--&gt; &lt;string-array name=&quot;reboot_item&quot;&gt; &lt;item&gt;Reboot&lt;/item&gt; &lt;item&gt;Recovery&lt;/item&gt; &lt;item&gt;BootLoader&lt;/item&gt; &lt;/string-array&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwxjEb.html" rel="bookmark">PHP将XML转成数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你使用 curl 获取的 xml dataxml=simplexmlloadstring(data);data[′tk′]=jsondecode(jsonencode(xml),TRUE); 如果是直接获取 URL 数据的话xml=simplexmlloadfile(data);data[′tk′]=jsondecode(jsonencode( xml),TRUE); 先把 simplexml 对象转换成 json,再将 json 转换成数组.   &lt;?php $string = &lt;&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7GvDb.html" rel="bookmark">PHP如何将XML转成数组&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你使用 curl 获取的 xml dataxml=simplexmlloadstring(data); data[′tk′]=jsondecode(jsonencode(xml),TRUE);如果是直接获取 URL 数据的话xml=simplexmlloadfile(data); data[′tk′]=jsondecode(jsonencode(xml),TRUE); 先把 simplexml 对象转换成 json,再将 json 转换成数组. 代码: &lt;?php $string = &lt;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WelPb.html" rel="bookmark">PHP中的数组处理函数实例总结&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了PHP中的数组处理函数.分享给大家供大家参考,具体如下: &lt;?php //改变数组键的大小写 $arr1=array(&quot;a&quot;=&gt;&quot;Lamp&quot;,&quot;db&quot;=&gt;&quot;database&quot;,&quot;LANGUAGE&quot;=&gt;&quot;PHP&quot;); print_r(array_change_key_case($arr1,CASE_UPPER)); echo &quot;&lt;br/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1kW6dz.html" rel="bookmark">php常用数组array函数实例总结【赋值&comma;拆分&comma;合并&comma;计算&comma;添加&comma;删除&comma;查询&comma;判断&comma;排序】&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了php常用数组array函数.分享给大家供大家参考,具体如下: array_combine 功能:用一个数组的值作为新数组的键名,另一个数组的值作为新数组的值 案例: &lt;?php $a = array(&quot;one&quot;,&quot;two&quot;,&quot;three&quot;); $b = array(&quot;一&quot;,&quot;二&quot;,&quot;三&quot;); $c = array_combine($a,$b); print_r($c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvqjdM.html" rel="bookmark">支持中文的PHP按字符串长度分割成数组代码&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是我编写的代码,实现对中英文混杂字符进行分割: &lt;?php function mbStrSplit ($string, $len=1) { $start = 0; $strlen = mb_strlen($string); while ($strlen) { $array[] = mb_substr($string,$start,$len,&quot;utf8&quot;); $string = mb_substr($string, $len, $strlen,&quot;utf8&quot;)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxOxlp.html" rel="bookmark">xml转换成数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 代码如下 复制代码 调用方法 $array =  xml2array(file_get_contents('feed.xml', 1, 'attribute')); */ function xml2array($contents, $get_attributes=1, $priority = 'tag') {     if(!$contents) return array();     if(!function_exists('xml_parser_create')) {         //			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ1Rvp.html" rel="bookmark" class="title">DreamWeaver高级应用&mdash;&mdash;模板与库</a>
					<div>
						dreamweaver|高级|模板 DreamWeaver4来了,颇有点狼来了的味道.&quot;什么,4.0版本出来了?我3.0还没有熟悉呢!&quot;的确,软件的更新换代速度越来越快了,新软件一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2AXBz.html" rel="bookmark" class="title">网页标准化制作：CSS的超级技巧大放送</a>
					<div>
						css|标准|技巧|网页 在之前贴出的CSS说明中已经说明了#m_blog div.tit是Blog文章标题的代码所以我们只要把添加&gt;图片的代码添加在后面的{}中即可. 添加代码如下: line ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDR0rM.html" rel="bookmark" class="title">SEO小五：感谢百度让我有了一颗BIG HEART</a>
					<div>
						常看NBA的都知道&quot;BIG HEART&quot;(大心脏),是指某一球员在关键时刻敢做一些动作,来挽救球队.这样的&quot;大心脏&quot;并不是一朝一夕就可练成.在百度杂乱无规律的更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBqwKb.html" rel="bookmark" class="title">nagios&amp;amp&semi;amp&semi;cacti完全安装与整合</a>
					<div>
						现在开源界用得比较多的两款监控软件就是NAGIOS/CACTI,下面笔者全面讲解二者的安装与整合,其实网上这类文件也比较多,但是都比较零散,对于新手来说搭建起来很容易出问题,本人发一篇完全适合新手的教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKJK1M.html" rel="bookmark" class="title">用C&num;写个人住房贷款计算器</a>
					<div>
						现在,很多人都有个人住房贷款,或者将要有个人住房贷款.那么,就让我们用 C# 写一个计算器,用于计算个人住房贷款的还款计划表. 这个计算器能够根据你给出的贷款金额.贷款期数.贷款日期.还款方式.贷款种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKdEZM.html" rel="bookmark" class="title">使用CascadingDropDown实现级联式下拉框</a>
					<div>
						引言 级联式下拉框,有时也叫联动下拉框,也是Web页面中一个很常见的功能.就是假设有若干个下拉框, 比如说有3个,分别显示 省份.城市.街道,当选择某一省份后,城市下拉框仅显示属于该省的城市,选 择好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJjDlp.html" rel="bookmark" class="title">路由器网速慢怎么办&quest;</a>
					<div>
						使用路由器感觉网络比较慢怎么办? 正常来说路由器转发速度非常快,对网速基本没有什么影响.但是仍然有用户反映在接上路由器之后,感觉电脑的上网速度变慢了,却又找不到问题的症结所在,无法解决.下面就介绍下遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG799p.html" rel="bookmark" class="title">Photoshop给美女室内照片优化肤色处理</a>
					<div>
						  如果你已经看过我的书,相信你已经知道,对于数码照片后期处理,我推崇的原则是&quot;KISS&quot;,&quot;Keep It Simple, Stupid&quot;.对于Photosh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm61wqz.html" rel="bookmark" class="title">如何保证业务变更的可回滚性</a>
					<div>
						背景 采用快速迭代的开发方式的互联网公司常常一天之内要对线上业务做多次变更,如果在变更业务后出现了伤害用户体验或影响收入的意外情况,最简单快速的解决方法就是将线上业务回滚到变更前的状态.保证业务变更的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAPXOM.html" rel="bookmark" class="title">eclipse-Eclipse下怎么开发crystal report，需要安装插件吗？</a>
					<div>
						问题描述 Eclipse下怎么开发crystal report,需要安装插件吗? 在Eclipse下开发crystal report,需要安装什么插件吗?求下载链接 解决方案 http://blog. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6EAAb.html" rel="bookmark" class="title">关于自增的困惑，求详解</a>
					<div>
						问题描述 class Test{public static void main(String[] args){int a = 10;for(int i=0;i&lt;10;i++){a=a++;}Sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M94k7Kb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei9QUG1OVXJSd2liR0hGdmNGS0g5dHNWMnRlQjkyNkkyM2VLakw5WUpLdXBJZ3hmck8za1QwZms4UFI0NG03STYzUmlhdEtNODdkclZTNm5HZ1pjUG1lbDRRLzA=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M94k7Kb.html" rel="bookmark" class="title">【干货】美国视频广告生态和产品应用创新</a>
					<div>
						本文整理自2015年1月28日Free Wheel高级副总裁王迪先生在清华大数据&quot;应用•创新&quot;系列讲座上所做的题为&lt;数字融合下的美国视频广告生态和产品应用创新&gt;的精彩分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgdW6b.html" rel="bookmark" class="title">前端-急急急！！！！！！！！！！！！！！！！！！！！！！API接口的写入</a>
					<div>
						问题描述 急急急!!!!!!!!!!!!!!!!!!!!!!API接口的写入 1,前端通过ajax 将json数组传到 ,ashx文件 2,.ashx文件对json数组解析 3,需要将解析后的数据通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQByQZM.html" rel="bookmark" class="title">&lbrace;&amp;amp&semi;amp&semi;quot&semi;从索引 51 处开始，初始化字符串的格式不符合规范。&amp;amp&semi;amp&semi;quot&semi;&rcub;</a>
					<div>
						问题描述 usingSystem;usingSystem.Data;usingSystem.Configuration;usingSystem.Web;usingSystem.Web.Security ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zaeqz.html" rel="bookmark" class="title">北大青鸟ASP&period;NET视频教程全集</a>
					<div>
						问题描述 北大青鸟ASP.NET视频教程全集不多做介绍了..有想要的自己看去.. 解决方案 解决方案二:AD					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40EV9z.html" rel="bookmark" class="title">一句话点评：各大巨头移动互联网布局观</a>
					<div>
						当下判断一家公司是否死掉的标准,已经不是指亏损或破产,而是发展速度放慢或在新的时代没有影响力了,基本就可以定义为这家公司已经死掉了,比如微软.最近它的CEO鲍尔默被董事会开除,给出的解释就是他行动太慢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV02ekM.html" rel="bookmark" class="title">Maven使用笔记（四）pom&period;xml配置详解</a>
					<div>
						pom.xml文件配置详解 --声明规范 &lt;project xmlns=&quot;http://maven.apache.org/POM/4.0.0&quot; xmlns:xsi=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRwj3b.html" rel="bookmark" class="title">企业网站推广详细方法大全 入门型（一）</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多创业者和企业管理者常常问到,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnmKNM.html" rel="bookmark" class="title">品牌危机：看合肥某计生办小霸王事件</a>
					<div>
						重点:5月26日晚,合肥市天柱路一家名叫&quot;半亩田&quot;的酒店发生了一起打架事件.肥西县小庙镇多名政府工作人员因晚餐喝酒过多酗酒闹事,在酒店殴打两名服务员(包括一女性),致其受伤住院治疗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60G0Az.html" rel="bookmark" class="title">做一个这样的网站大概要多少钱？</a>
					<div>
						问题描述 做这样一个周边或者自由行的网站http://www.yilvcheng.com大概价位在多少的?有会做的不? 解决方案 解决方案二:不知道这个网站是通过discuz之类的工具建的还是定制开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7y1Oz.html" rel="bookmark" class="title">《构建高可用VMware vSphere 5&period;X虚拟化架构》&mdash;&mdash;2&period;4 使用SQL Server作为Windows版vCenter Server数据库</a>
					<div>
						2.4 使用SQL Server作为Windows版vCenter Server数据库 vCenter Server最核心的部分就是数据库,在创建上与其他数据库有一些差异,本节实战将在一台运行Wind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkmDrM.html" rel="bookmark" class="title">virtualbox-VirtualBox下安装Ubuntu出现的系统界面界面主题问题</a>
					<div>
						问题描述 VirtualBox下安装Ubuntu出现的系统界面界面主题问题 在virtualbox下安装的Ubuntu系统,启动之后,Ubuntu系统的主题经常自动改掉,原本是灰黑色的透明主题,会突然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBAgqz.html" rel="bookmark" class="title">Intel 闪存新技术：厚度2毫米容量1TB</a>
					<div>
						三星已经在3D堆叠闪存技术上走在了前列,都发展到了第二代,而与美光常年密切合作的Intel也抛出了自己的重磅炸弹.Intel副总裁.非易失性闪存方案事业部总经理Rober Crooke近日向投资者首次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV70YVb.html" rel="bookmark" class="title">XML卷之实战锦囊（2）：动态查询&lowbar;XML&sol;RSS</a>
					<div>
						动机: 查询功能是我们在网站上见过的最普遍也是最常用的一个功能模块了.以往的信息查询都是连接到数据库的,每一次点击都必须要后台数据库的支持.然而很多情况下用户往往只针对某一部分的数据进行操作,这样不但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqqrAp.html" rel="bookmark" class="title">学习网页制作应该注意的网站设计的四点矛盾</a>
					<div>
						因为工作需要,昨晚将另一位网页设计师的设计作品生成了页面,折腾了一通宵,我脑细胞成几何倍数减少,完成了工作,不免有些牢骚要发. 我认为网站是为人民服务的,网站的优劣,内容是关键,而设计能排在第二就不错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jQLgp.html" rel="bookmark" class="title">服务器安全设置之 IIS用户设置方法&lowbar;win服务器</a>
					<div>
						建议大家可以看这篇文章多站点IIS用户安全权限设置图解教程 http://www.jb51.net/article/30836.htm这里举例4个不同类型脚本的虚拟主机 权限设置例子 主机头&lt;? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRBj7z.html" rel="bookmark" class="title">Facebook从苹果的应用商店下架了Poke和Camera</a>
					<div>
						硅谷网讯 据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,Facebook从苹果iTunes应用商店下架了Pok ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvqoOM.html" rel="bookmark" class="title">UC何小鹏 ：2014年，移动创业要注意这些市场变化</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 3721.html&quot;&gt;2014年,&lt;创业邦&gt;邀请了几位有独到见解的业内人士撰稿描述新一年的创业趋势.其中,UC优视创始人何小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdV3nM.html" rel="bookmark" class="title">广东有线&OpenCurlyDoubleQuote;一省一网&rdquo;6月前实现</a>
					<div>
						本报讯 (记者李光焱)有线广电网络&quot;一省一网&quot;的局面今年上半年将在广东实现.日前,广电业知情人士透露,广东省各地有线广电网络公司重组后形成的省级有线电视网将在今年6月前挂牌成立,年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Y6kgp.html" rel="bookmark" class="title">Infor SupplyWEB汽车供应链管理解决方案</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/29910.html&quot;&gt;SupplyWEB是Infor所推出的基于Web的汽车供应链管理(SCM)解决方 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
